Set fault injection
Makes this app's own requests fail or slow down (`503` with `Retry-After`, `429`, latency, token endpoint down) for ≤ 24 h. Other apps are unaffected. At most 5 faults.
Makes this app's own requests fail or slow down (503 with Retry-After, 429, latency, token endpoint down) for ≤ 24 h. Other apps are unaffected. At most 5 faults.
OAuth 2.0 client credentials. private_key_jwt (SMART Backend Services asymmetric) is recommended; client secrets need an IP allowlist or mTLS outside the sandbox.
In: header
Scope: sandbox:write
Header Parameters
Overrides the app's pinned dated version for this request.
1–255 characters of [A-Za-z0-9._:-] (a UUID v4 is recommended); never PHI. Stored 24 hours per app.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An empty list clears every fault.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/sandbox/faults" \ -H "Content-Type: application/json" \ -d '{ "faults": [] }'{ "faults": [ { "kind": "latency", "latencyMs": -9007199254740991, "operations": [ "string" ], "rate": 0, "until": "2026-09-14T15:00:11.402Z" } ], "object": "sandbox_faults"}